# RequestOptions

class `openff.evaluator.client.``RequestOptions`

  The options to use when requesting a set of physical properties be estimated by the server.

  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__` | Initialize self.
  `add_schema`(layer_type, property_type, schema) | A convenience function for adding a calculation schema to the schema dictionary.
  `from_json`(file_path) | Create this object from a JSON file.
  `get_attributes`([attribute_type]) | Returns all attributes of a specific attribute_type.
  `json`([file_path, format]) | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.
  `validate`([attribute_type]) | Validate the values of the attributes.

  Attributes

  `batch_mode` | The way in which the server should batch together properties to estimate.
  `calculation_layers` | The calculation layers which may be used to estimate the set of physical properties.
  `calculation_schemas` | The schemas that each calculation layer should use when estimating the set of physical properties.

  `calculation_layers`

    The calculation layers which may be used to estimate the set of physical properties. The order in which the layers appears in this list determines the order in which the layers will attempt to estimate the data set. The default value of this attribute is `['ReweightingLayer', 'SimulationLayer']`.

    Type

      list

  `calculation_schemas`

    The schemas that each calculation layer should use when estimating the set of physical properties. The dictionary should be of the form [property_type][layer_type]. The default value of this attribute is not set. This attribute is optional.

    Type

      dict

  `batch_mode`

    The way in which the server should batch together properties to estimate. Properties will only be marked as finished when all properties in a single batch are completed. The default value of this attribute is `BatchMode.SharedComponents`. This attribute is optional.

    Type

      BatchMode

  `add_schema`(layer_type, property_type, schema)

    A convenience function for adding a calculation schema to the schema dictionary.

    Parameters

      - layer_type (str or type of CalculationLayer) – The layer to associate the schema with.

      - property_type (str or type of PhysicalProperty) – The class of property to associate the schema with.

      - schema (CalculationSchema) – The schema to add.

  `validate`(attribute_type=None)

    Validate the values of the attributes. If attribute_type is set, only attributes of that type will be validated.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to validate.

    Raises

      ValueError or AssertionError –

  classmethod `from_json`(file_path)

    Create this object from a JSON file.

    Parameters

      file_path (str) – The path to load the JSON from.

    Returns

      The parsed class.

    Return type

      cls

  classmethod `get_attributes`(attribute_type=None)

    Returns all attributes of a specific attribute_type.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to search for.

    Returns

      The names of the attributes of the specified type.

    Return type

      list of str

  `json`(file_path=None, format=False)

    Creates a JSON representation of this class.

    Parameters

      - file_path (str, optional) – The (optional) file path to save the JSON file to.

      - format (bool) – Whether to format the JSON or not.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any